com.beaglebuddy.id3.pojo.v23

## Enum Level.Direction

- java.lang.Object
- - java.lang.Enum<Level.Direction>
  - - com.beaglebuddy.id3.pojo.v23.Level.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Level.Direction>
  Enclosing class:
    Level

      public static enum Level.Direction
      extends java.lang.Enum<Level.Direction>

  indicates whether an equalization level is above or below the midline.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DECREMENT` eq level is below the midpoint level
    `INCREMENT` eq level is above the midpoint level

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Level.Direction` | `getDirection(int direction)` convert an integral value to its corresponding direction enum.
    `static Level.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Level.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DECREMENT

          public static final Level.Direction DECREMENT

      eq level is below the midpoint level

    - #### INCREMENT

          public static final Level.Direction INCREMENT

      eq level is above the midpoint level

  - ### Method Detail

    - #### values

          public static Level.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Level.Direction c : Level.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Level.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDirection

          public static Level.Direction getDirection(int direction)
                                              throws java.lang.IllegalArgumentException

      convert an integral value to its corresponding direction enum.
      Parameters:
        `direction` - integral value to be converted to an Direction enum.
      Returns:
        the Direction enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value does not correspond to a valid Direction.